PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->loadHTMLFile()

DOMDocument->loadHTMLFile() -- Load HTML from a file

## Description

class DOMDocument {
bool loadHTMLFile ( string filename )
}

The function parses the HTML document in the file named filename. Unlike loading XML, HTML does not have to be well-formed to load.

This function may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

filename

  The path to the HTML file.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Creating a Document
`<?php $doc = DOMDocument::loadHTMLFile("filename.html"); print $doc->saveHTML(); $doc = new DOMDocument(); $doc->loadHTMLFile("filename.html"); print $doc->saveHTML(); ?>`

## 參考

DOMDocument->loadHTML()
DOMDocument->saveHTML()
DOMDocument->saveHTMLFile()

前一頁 | 內容 | 下一頁
DOMDocument->loadHTML() | 上一層 | DOMDocument->loadXML()